Bug 1184174 - [abrt] qt-creator: Task(): qtcreator killed by SIGSEGV
Summary: [abrt] qt-creator: Task(): qtcreator killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b9c5e4b9523303dd8326a36318f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 18:17 UTC by Marco Nolden
Modified: 2015-03-09 08:36 UTC (History)
6 users (show)

Fixed In Version: qt-creator-3.3.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-06 07:01:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (74.08 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: core_backtrace (36.94 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: dso_list (23.51 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: environ (3.84 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: maps (122.78 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: open_fds (8.33 KB, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: proc_pid_status (992 bytes, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details
File: var_log_messages (209 bytes, text/plain)
2015-01-20 18:17 UTC, Marco Nolden
no flags Details

Description Marco Nolden 2015-01-20 18:17:18 UTC
Description of problem:
I restarted a build with -j24 after cancelling the previos -j12 build

Version-Release number of selected component:
qt-creator-3.3.0-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        qtcreator
crash_function: Task
executable:     /usr/bin/qtcreator
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            9377

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Task at task.h:47
 #1 ProjectExplorer::Internal::TaskModel::task at taskmodel.cpp:269
 #2 ProjectExplorer::Internal::TaskWindow::currentChanged at taskmodel.h:159
 #3 ProjectExplorer::Internal::TaskWindow::qt_static_metacall at .moc/release-shared/moc_taskwindow.cpp:153
 #4 QMetaObject::activate at kernel/qobject.cpp:3716
 #6 QItemSelectionModel::currentChanged at .moc/moc_qitemselectionmodel.cpp:287
 #7 QItemSelectionModel::setCurrentIndex at itemmodels/qitemselectionmodel.cpp:1324
 #8 QAbstractItemView::focusInEvent at itemviews/qabstractitemview.cpp:2169
 #9 QWidget::event at kernel/qwidget.cpp:8770
 #10 QFrame::event at widgets/qframe.cpp:526

Comment 1 Marco Nolden 2015-01-20 18:17:21 UTC
Created attachment 981959 [details]
File: backtrace

Comment 2 Marco Nolden 2015-01-20 18:17:23 UTC
Created attachment 981960 [details]
File: cgroup

Comment 3 Marco Nolden 2015-01-20 18:17:24 UTC
Created attachment 981961 [details]
File: core_backtrace

Comment 4 Marco Nolden 2015-01-20 18:17:26 UTC
Created attachment 981962 [details]
File: dso_list

Comment 5 Marco Nolden 2015-01-20 18:17:27 UTC
Created attachment 981963 [details]
File: environ

Comment 6 Marco Nolden 2015-01-20 18:17:28 UTC
Created attachment 981964 [details]
File: exploitable

Comment 7 Marco Nolden 2015-01-20 18:17:29 UTC
Created attachment 981965 [details]
File: limits

Comment 8 Marco Nolden 2015-01-20 18:17:31 UTC
Created attachment 981966 [details]
File: maps

Comment 9 Marco Nolden 2015-01-20 18:17:32 UTC
Created attachment 981967 [details]
File: open_fds

Comment 10 Marco Nolden 2015-01-20 18:17:33 UTC
Created attachment 981968 [details]
File: proc_pid_status

Comment 11 Marco Nolden 2015-01-20 18:17:34 UTC
Created attachment 981969 [details]
File: var_log_messages

Comment 12 Sandro Mani 2015-01-21 13:31:44 UTC
Taken upstream: https://bugreports.qt.io/browse/QTCREATORBUG-13861

If you have more detailed information to add, including good steps to reproduce, please add it there.

Comment 13 Fedora Update System 2015-02-25 15:06:51 UTC
qt-creator-3.3.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qt-creator-3.3.1-1.fc22

Comment 14 Fedora Update System 2015-02-25 15:08:26 UTC
qt-creator-3.3.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt-creator-3.3.1-1.fc21

Comment 15 Fedora Update System 2015-02-26 05:54:51 UTC
Package qt-creator-3.3.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-creator-3.3.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2585/qt-creator-3.3.1-1.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-03-06 07:01:32 UTC
qt-creator-3.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-09 08:36:01 UTC
qt-creator-3.3.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.